This package was debianized by Arnaud Fontaine <arnau@debian.org> on
Sun, 08 Apr 2007 10:37:43 +0200.

It was downloaded from https://pypi.org/project/twill/

Author: C. Titus Brown <titus@caltech.edu>

Copyright (c) 2005-2010 C. Titus Brown <titus@caltech.edu>

  Permission  is  hereby  granted,  free  of  charge,  to  any  person
  obtaining a copy of this software and associated documentation files
  (the  "Software"),  to deal  in  the  Software without  restriction,
  including without limitation the rights to use, copy, modify, merge,
  publish, distribute, sublicense, and/or sell copies of the Software,
  and to  permit persons to whom  the Software is furnished  to do so,
  subject to the following conditions:

  The  above copyright  notice  and this  permission  notice shall  be
  included in all copies or substantial portions of the Software.

  THE  SOFTWARE IS  PROVIDED "AS  IS", WITHOUT  WARRANTY OF  ANY KIND,
  EXPRESS OR IMPLIED,  INCLUDING BUT NOT LIMITED TO  THE WARRANTIES OF
  MERCHANTABILITY,    FITNESS   FOR    A   PARTICULAR    PURPOSE   AND
  NONINFRINGEMENT. IN NO EVENT  SHALL THE AUTHORS OR COPYRIGHT HOLDERS
  BE LIABLE FOR  ANY CLAIM, DAMAGES OR OTHER  LIABILITY, WHETHER IN AN
  ACTION OF  CONTRACT, TORT OR OTHERWISE,  ARISING FROM, OUT  OF OR IN
  CONNECTION WITH  THE SOFTWARE  OR THE USE  OR OTHER DEALINGS  IN THE
  SOFTWARE.

In addition of  twill main code, the following  module are distributed
along with twill under the following licenses:

Files: twill/other_packages/_mechanize_dist/_useragent.py
       twill/other_packages/_mechanize_dist/_opener.py
       twill/other_packages/_mechanize_dist/_util.py
       twill/other_packages/_mechanize_dist/_rfc3986.py
       twill/other_packages/_mechanize_dist/_request.py
       twill/other_packages/_mechanize_dist/_auth.py
       twill/other_packages/_mechanize_dist/_response.py
       twill/other_packages/_mechanize_dist/_html.py
       twill/other_packages/_mechanize_dist/_http.py
  Copyright 2002-2010 John J. Lee <jjl@pobox.com>
  License:
  This code is free software; you can redistribute it and/or modify it
  under the terms of the BSD or ZPL 2.1 licenses.

  BSD license
  -----------
  All rights reserved.

  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions are
  met:

  Redistributions of source code must retain the above copyright notice,
  this list of conditions and the following disclaimer.

  Redistributions in binary form must reproduce the above copyright
  notice, this list of conditions and the following disclaimer in the
  documentation and/or other materials provided with the distribution.

  Neither the name of the contributors nor the names of their employers
  may be used to endorse or promote products derived from this software
  without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

  ZPL 2.1 license
  ---------------
  A copyright notice accompanies this license document that identifies
  the copyright holders.

  This license  has been  certified as open  source. It has  also been
  designated as GPL compatible by the Free Software Foundation (FSF).

  Redistribution and use  in source and binary forms,  with or without
  modification, are  permitted provided that  the following conditions
  are met:

    1.  Redistributions  in source  code must retain  the accompanying
        copyright notice,  this list of conditions,  and the following
        disclaimer.

    2. Redistributions in binary  form must reproduce the accompanying
       copyright notice,  this list  of conditions, and  the following
       disclaimer in the documentation and/or other materials provided
       with the distribution.

    3. Names of  the copyright holders must not be  used to endorse or
       promote  products  derived  from  this software  without  prior
       written permission from the copyright holders.

    4. The  right to  distribute this  software or to  use it  for any
       purpose does not give you the right to use Servicemarks (sm) or
       Trademarks  (tm)  of the  copyright  holders.  Use  of them  is
       covered by separate agreement with the copyright holders.

    5. If any files are modified, you must cause the modified files to
       carry prominent notices stating  that you changed the files and
       the date of any change.

   Disclaimer

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS'' AND ANY
  EXPRESSED OR IMPLIED WARRANTIES,  INCLUDING, BUT NOT LIMITED TO, THE
  IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS  FOR A PARTICULAR
  PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE  COPYRIGHT HOLDERS BE
  LI ABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
  SUBSTITUTE  GOODS OR  SERVICES; LOSS  OF USE,  DATA, OR  PROFITS; OR
  BUSINESS  INTERRUPTION)   HOWEVER  CAUSED  AND  ON   ANY  THEORY  OF
  LIABILITY,  WHET   HER  IN  CONTRACT,  STRICT   LIABILITY,  OR  TORT
  (INCLUDING NEGLIGENCE  OR OTHERWISE) ARISING  IN ANY WAY OUT  OF THE
  USE OF  THIS SOFTWARE,  EVEN IF ADVISED  OF THE POSSIBILITY  OF SUCH
  DAMAGE.


File: twill/other_packages/_mechanize_dist/_clientcookie.py

  Copyright 2002-2010 John J Lee <jjl@pobox.com>
  Copyright 1997-2010 Gisle Aas (original libwww-perl code)
  Copyright 2002-2010 Johnny Lee (original MSIE Perl code)
  License:

  This code is free software; you can redistribute it and/or modify it
  under the terms of the BSD or ZPL 2.1 licenses.

  The complete text of BSD and ZPL 2.1 licenses are available above.

Files: twill/other_packages/_mechanize_dist/_pullparser.py
       twill/other_packages/_mechanize_dist/_lwpcookiejar.py
       twill/other_packages/_mechanize_dist/_headersutil.py
       twill/other_packages/_mechanize_dist/_mozillacookiejar.py
  Copyright 2003-2010 John J. Lee <jjl@pobox.com>
  Copyright 1997-2010 Gisle Aas (original libwww-perl code)
  License:

  This code is free software; you can redistribute it and/or modify it
  under the terms of the BSD or ZPL 2.1 licenses.

  The complete text of BSD and ZPL 2.1 licenses are available above.

File: twill/other_packages/_mechanize_dist/_mechanize.py
  Copyright 2003-2010 John J. Lee <jjl@pobox.com>
  Copyright 2003-2010 Andy Lester (original Perl code)
  License:

  This code is free software; you can redistribute it and/or modify it
  under the terms of the BSD or ZPL 2.1 licenses.

  The complete text of BSD and ZPL 2.1 licenses are available above.

File: twill/other_packages/_mechanize_dist/_msiecookiejar.py
  Copyright 2002-2010 Johnny Lee <typo_pl@hotmail.com> (MSIE Perl code)
  Copyright 2002-2010 John J Lee <jjl@pobox.com> (The Python port)
  License:

  This code is free software; you can redistribute it and/or modify it
  under the terms of the BSD or ZPL 2.1 licenses.

  The complete text of BSD and ZPL 2.1 licenses are available above.

File: twill/other_packages/ClientForm.py
  Copyright 2002-2010 John J. Lee <jjl@pobox.com>
  Copyright 2005-2010 Gary Poster
  Copyright 2005-2010 Zope Corporation
  Copyright 1998-2010 Gisle Aas.
  License:

  This code is free software; you can redistribute it and/or modify it
  under the terms of the BSD or ZPL 2.1 licenses.

  The complete text of BSD and ZPL 2.1 licenses are available above.

File: twill/other_packages/_mechanize_dist/_beautifulsoup.py
  Copyright (c) 2004-2010 Leonard Richardson
  License:

  PSF LICENSE AGREEMENT FOR PYTHON 2.3
  ------------------------------------

  1. This LICENSE AGREEMENT  is between the Python Software Foundation
     ("PSF"),   and  the   Individual  or   Organization  ("Licensee")
     accessing and  otherwise using Python  2.3 software in  source or
     binary form and its associated documentation.

  2. Subject  to the terms  and conditions of this  License Agreement,
     PSF   hereby  grants   Licensee  a   nonexclusive,  royalty-free,
     world-wide  license to reproduce,  analyze, test,  perform and/or
     display  publicly,  prepare  derivative  works,  distribute,  and
     otherwise  use Python  2.3 alone  or in  any  derivative version,
     provided, however, that PSF's  License Agreement and PSF's notice
     of  copyright, i.e.,  "Copyright (c)  2001, 2002  Python Software
     Foundation; All Rights Reserved" are retained in Python 2.3 alone
     or in any derivative version prepared by Licensee.

  3. In the event Licensee prepares a derivative work that is based on
     or incorporates Python 2.3 or any part thereof, and wants to make
     the derivative work available  to others as provided herein, then
     Licensee  hereby agrees  to  include  in any  such  work a  brief
     summary of the changes made to Python 2.3.

  4. PSF  is making  Python 2.3  available to Licensee  on an  "AS IS"
     basis.  PSF  MAKES NO  REPRESENTATIONS OR WARRANTIES,  EXPRESS OR
     IMPLIED.  BY WAY OF EXAMPLE, BUT NOT LIMITATION, PSF MAKES NO AND
     DISCLAIMS  ANY REPRESENTATION OR  WARRANTY OF  MERCHANTABILITY OR
     FITNESS FOR ANY PARTICULAR PURPOSE  OR THAT THE USE OF PYTHON 2.3
     WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.

  5. PSF SHALL NOT BE LIABLE  TO LICENSEE OR ANY OTHER USERS OF PYTHON
     2.3 FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS
     AS A RESULT OF MODIFYING, DISTRIBUTING, OR OTHERWISE USING PYTHON
     2.3,  OR   ANY  DERIVATIVE  THEREOF,  EVEN  IF   ADVISED  OF  THE
     POSSIBILITY THEREOF.

  6.  This  License  Agreement  will automatically  terminate  upon  a
     material breach of its terms and conditions.

  7. Nothing in  this License Agreement shall be  deemed to create any
     relationship of agency, partnership, or joint venture between PSF
     and Licensee.   This License Agreement does  not grant permission
     to  use PSF  trademarks or  trade name  in a  trademark  sense to
     endorse or promote products or services of Licensee, or any third
     party.

  8. By  copying, installing or  otherwise using Python  2.3, Licensee
     agrees to  be bound by the  terms and conditions  of this License
     Agreement.


File: twill/other_packages/pyparsing.py
  Copyright (c) 2003-2010  Paul T. McGuire
  License:

  Permission  is  hereby  granted,  free  of  charge,  to  any  person
  obtaining a copy of this software and associated documentation files
  (the  "Software"),  to deal  in  the  Software without  restriction,
  including without limitation the rights to use, copy, modify, merge,
  publish, distribute, sublicense, and/or sell copies of the Software,
  and to  permit persons to whom  the Software is furnished  to do so,
  subject to the following conditions:

  The  above copyright  notice  and this  permission  notice shall  be
  included in all copies or substantial portions of the Software.

  THE  SOFTWARE IS  PROVIDED "AS  IS", WITHOUT  WARRANTY OF  ANY KIND,
  EXPRESS OR IMPLIED,  INCLUDING BUT NOT LIMITED TO  THE WARRANTIES OF
  MERCHANTABILITY,    FITNESS   FOR    A   PARTICULAR    PURPOSE   AND
  NONINFRINGEMENT.  IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
  BE LIABLE FOR  ANY CLAIM, DAMAGES OR OTHER  LIABILITY, WHETHER IN AN
  ACTION OF  CONTRACT, TORT OR OTHERWISE,  ARISING FROM, OUT  OF OR IN
  CONNECTION WITH  THE SOFTWARE  OR THE USE  OR OTHER DEALINGS  IN THE
  SOFTWARE.


File: twill/other_packages/subprocess.py
  Copyright (c) 2003-2010 by Peter Astrand <astrand@lysator.liu.se>
  License:

  PSF LICENSE AGREEMENT FOR PYTHON 2.4
  ------------------------------------

  1. This LICENSE AGREEMENT  is between the Python Software Foundation
     ("PSF"),   and  the   Individual  or   Organization  ("Licensee")
     accessing and  otherwise using Python  2.4 software in  source or
     binary form and its associated documentation.

  2. Subject  to the terms  and conditions of this  License Agreement,
     PSF   hereby  grants   Licensee  a   nonexclusive,  royalty-free,
     world-wide  license to reproduce,  analyze, test,  perform and/or
     display  publicly,  prepare  derivative  works,  distribute,  and
     otherwise  use Python  2.4 alone  or in  any  derivative version,
     provided, however, that PSF's  License Agreement and PSF's notice
     of copyright, i.e., "Copyright  (c) 2001, 2002, 2003, 2004 Python
     Software Foundation; All Rights  Reserved" are retained in Python
     2.4 alone or in any derivative version prepared by Licensee.

  3. In the event Licensee prepares a derivative work that is based on
     or incorporates Python 2.4 or any part thereof, and wants to make
     the derivative work available  to others as provided herein, then
     Licensee  hereby agrees  to  include  in any  such  work a  brief
     summary of the changes made to Python 2.4.

  4. PSF  is making  Python 2.4  available to Licensee  on an  "AS IS"
     basis.  PSF  MAKES NO  REPRESENTATIONS OR WARRANTIES,  EXPRESS OR
     IMPLIED.  BY WAY OF EXAMPLE, BUT NOT LIMITATION, PSF MAKES NO AND
     DISCLAIMS  ANY REPRESENTATION OR  WARRANTY OF  MERCHANTABILITY OR
     FITNESS FOR ANY PARTICULAR PURPOSE  OR THAT THE USE OF PYTHON 2.4
     WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.

  5. PSF SHALL NOT BE LIABLE  TO LICENSEE OR ANY OTHER USERS OF PYTHON
     2.4 FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS
     AS A RESULT OF MODIFYING, DISTRIBUTING, OR OTHERWISE USING PYTHON
     2.4,  OR   ANY  DERIVATIVE  THEREOF,  EVEN  IF   ADVISED  OF  THE
     POSSIBILITY THEREOF.

  6.  This  License  Agreement  will automatically  terminate  upon  a
     material breach of its terms and conditions.

  7. Nothing in  this License Agreement shall be  deemed to create any
     relationship of agency, partnership, or joint venture between PSF
     and Licensee.   This License Agreement does  not grant permission
     to  use PSF  trademarks or  trade name  in a  trademark  sense to
     endorse or promote products or services of Licensee, or any third
     party.

  8. By  copying, installing or  otherwise using Python  2.4, Licensee
     agrees to  be bound by the  terms and conditions  of this License
     Agreement.

The   Debian    packaging   is   (C)    2007-2010,   Arnaud   Fontaine
<arnau@debian.org> and is licensed under the GPL (version 2 or later).
On Debian systems, the complete text of the GNU General Public License
can be found in `/usr/share/common-licenses/GPL-2'.
